# Projekt erstellen

`POST https://{tenant}.stamp.eu/rest/projects`

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `code` | string | ja |
| `name` | string | ja |
| `description` | string \| null | nein |
| `cost_center_id` | string \| null | nein |
| `active` | boolean | nein |
| `activity_requirement` | `optional`, `required` | nein |

## Antworten

### 201: `ProjectResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.code` | string | ja |
| `data.name` | string | ja |
| `data.description` | string | ja |
| `data.cost_center` | object | nein |
| `data.cost_center.id` | string | ja |
| `data.cost_center.code` | string | ja |
| `data.cost_center.name` | string | ja |
| `data.cost_center.description` | string | ja |
| `data.cost_center.created_at` | string | ja |
| `data.cost_center.updated_at` | string | ja |
| `data.active` | string | ja |
| `data.activity_requirement` | string | ja |
| `data.created_at` | string | ja |
| `data.updated_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
